#include <stdio.h>
#include <stdlib.h>

/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

typedef struct dados
{
	char nome[20];
	int numero;
} Dados;

void manipula_pares(Dados *estrutura, int N)
{
	for(int i = 0;i < N;i++){
		if(estrutura[i].numero % 2 == 0)
			estrutura[i].numero /= 2;
	}
}
int main(int argc, char **argv)
{
	Dados stru[5];
	int N = 5;

	for(int i = 0;i < N;i++)
	{
		printf("\nDigite o %do. numero:", i+1);
		scanf("%d",&stru[i].numero);
		printf("\nEntre com o %do. nome: ",i+1);
		setbuf(stdin,NULL);
		scanf("%s",stru[i].nome);
		printf("\n----\n");
	}

	manipula_pares(stru,N);

	for(int i = 0;i < N;i++)
		printf("O %do numero do vetor eh %d\n", i+1, stru[i].numero);
    return 0;
}

